diff --git a/src/bin/pgbench/pgbench.c b/src/bin/pgbench/pgbench.c
index dc84b7b9b7..0694893d0b 100644
--- a/src/bin/pgbench/pgbench.c
+++ b/src/bin/pgbench/pgbench.c
@@ -6483,6 +6483,10 @@ main(int argc, char **argv)
 			if (thread->state[j].state == CSTATE_ABORTED)
 				exit_code = 2;
 
+		/* skip if the thread faild to get connection */
+		if (thread->bench_start == 0)
+			continue;
+
 		/* aggregate thread level stats */
 		mergeSimpleStats(&stats.latency, &thread->stats.latency);
 		mergeSimpleStats(&stats.lag, &thread->stats.lag);
